using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Text;
using System.Web;
using System.Data;
using System.Data.SqlClient;

using Sybase.DataWindow;
using TXSoft.Common;
using TXSoft.ExtPB;
using TXSoft.DataStore;


namespace A8ERP.CaiGou.Base
{
    public partial class W_CaiGou_ChaXun
    {
        public W_CaiGou_ChaXun()
        {

        }
        public override void OnLoad()
        {
            base.OnLoad();

            string curFlag = string.Empty;
            curFlag = Request["flag"];

            if (curFlag == "CG")
            {
                Title = "采购订单查询";
                dw_2.DataStore.DataWindowObject = "dw_yw_cg_ddhz_list_cx";
            }
            else if (curFlag == "CZ")
            {
                Title = "采购通知单查询";
                dw_2.DataStore.DataWindowObject = "dw_yw_cg_tzdhz_list_cx";
            }
            else if (curFlag == "CR")
            {
                Title = "采购入库单查询";
                dw_2.DataStore.DataWindowObject = "dw_yw_cg_rkdhz_list_cx";
            }
            else if (curFlag == "CS")
            {
                Title = "采购退货申请单查询";
                dw_2.DataStore.DataWindowObject = "dw_yw_cg_tshz_list_cx";
            }
            else if (curFlag == "CD")
            {
                Title = "采购退货通知单查询";
                dw_2.DataStore.DataWindowObject = "dw_yw_cg_tthz_list_cx";
            }
            else if (curFlag == "CT")
            {
                Title = "采购退货单查询";
                dw_2.DataStore.DataWindowObject = "dw_yw_cg_trhz_list_cx";
            }
            dw_2.SetTransaction(this.AdoTransaction);
        }
    }
}
